Endpoint
GET /user/tools
Response
Array of mid-call tool objects.
Example
200 Response
tool_ids parameter in the Create assistant or Update assistant endpoints.Retrieve all mid-call tools on your account.
GET /user/tools
Show Tool properties
get_weather).GET, POST, PUT, PATCH, or DELETE.curl -X GET "https://portal.intellixent.ai/api/user/tools" \
-H "Authorization: Bearer YOUR_API_KEY"
[
{
"id": 1,
"name": "check_order_status",
"description": "Use this tool to check the status of a customer's order when they ask about it.",
"endpoint": "https://api.yourstore.com/orders/status",
"method": "GET",
"timeout": 10,
"headers": [
{ "name": "Authorization", "value": "Bearer sk_..." }
],
"schema": [
{
"name": "order_id",
"type": "string",
"description": "The customer's order ID"
}
],
"created_at": "2025-10-10T12:00:00.000000Z",
"updated_at": "2025-10-10T12:00:00.000000Z"
}
]
tool_ids parameter in the Create assistant or Update assistant endpoints.